Developers
API ReferenceTicket Form

Creates a TicketForm resource

POST
/ticket/ticket-forms

Creates a TicketForm resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Request Body

The new TicketForm resource

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Lengthlength <= 100
description?|
Lengthlength <= 500
shortAnswerFields?array<>
longAnswerFields?array<>
singleChoiceFields?array<>
multipleChoiceFields?array<>
dropdownFields?array<>
subjectField*integer
Range0 <= value
clientEmailField*integer
Range0 <= value
clientNameField*integer
Range0 <= value
contentField*integer
Range0 <= value
allowForAttachmentsOnCreate*boolean
allowForAttachments*boolean
operator?|
Formatuuid
ticketBranding?|
Formatuuid

Response Body

curl -X POST "https://example.com/ticket/ticket-forms" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "subjectField": 0,    "clientEmailField": 0,    "clientNameField": 0,    "contentField": 0,    "allowForAttachmentsOnCreate": true,    "allowForAttachments": true  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  },  "updatedAt": "2019-08-24T14:15:22Z",  "updatedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  },  "operator": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  },  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "shortCode": "string",  "name": "string",  "description": "string"}